OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIS.PointParameters

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISPointParameters :: MonadIO m => m Bool
- gl_SGIS_point_parameters :: Bool
- pattern GL_DISTANCE_ATTENUATION_SGIS :: GLenum
- pattern GL_POINT_FADE_THRESHOLD_SIZE_SGIS :: GLenum
- pattern GL_POINT_SIZE_MAX_SGIS :: GLenum
- pattern GL_POINT_SIZE_MIN_SGIS :: GLenum
- glPointParameterfSGIS :: MonadIO m => GLenum -> GLfloat -> m ()
- glPointParameterfvSGIS :: MonadIO m => GLenum -> Ptr GLfloat -> m ()

# Extension Support

glGetSGISPointParameters :: MonadIO m => m Bool Source #

Is the SGIS_point_parameters extension supported?

gl_SGIS_point_parameters :: Bool Source #

Is the SGIS_point_parameters extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISPointParameters` in those cases instead.

# Enums

pattern GL_DISTANCE_ATTENUATION_SGIS :: GLenum Source #

pattern GL_POINT_FADE_THRESHOLD_SIZE_SGIS :: GLenum Source #

pattern GL_POINT_SIZE_MAX_SGIS :: GLenum Source #

pattern GL_POINT_SIZE_MIN_SGIS :: GLenum Source #

# Functions

glPointParameterfSGIS Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

This command is an alias for `glPointParameterf`.

glPointParameterfvSGIS Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

This command is an alias for `glPointParameterfv`.